Subject: [MMUSIC] Comments on draft-pantos-http-live-streaming

From: "Rémi Denis-Courmont" <[email-masked]>
Date: Sun, 2 Aug 2009 22:12:55 +0300

Hello,

A few comments:

* I'm not sure I see the point of the EXT-X-ALLOW-CACHE parameter. Does HTTP 
not have extensive caching negotiation built-in already?

* It is not clear to me whether EXT-X-TARGETDURATION is mandatory or not.

* I don't understand how the receiver (the client) of the playlist can 
_reliably_ distinguish a plain old playlist file from a live streaming file. 
M3U URLs are already in common use to deliver "real" playlist, and the 
semantics are significantly different from what your draft does. If none ofthe 
new parameters you introduce are mandatory, this protocol is basically 
impossible to implement in a way that does not break existing functionality in 
many media players.

-- 
Rémi Denis-Courmont
The VideoLAN project